Download it now!
Bug 87165 - FILEOPEN RTF text missing in tables (partial regression)
Summary: FILEOPEN RTF text missing in tables (partial regression)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: x86 (IA32) All
: medium major
Assignee: Not Assigned
URL:
Whiteboard: interoperability
Keywords: bibisected, filter:rtf, regression
Depends on:
Blocks: RTF-Tables
  Show dependency treegraph
 
Reported: 2014-12-09 18:55 UTC by Ivan
Modified: 2019-06-28 02:59 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
incorrect file (144.27 KB, application/rtf)
2014-12-09 18:55 UTC, Ivan
Details
normal visualization (83.84 KB, application/pdf)
2014-12-09 18:57 UTC, Ivan
Details
screenshot (47.55 KB, image/png)
2014-12-11 06:20 UTC, tommy27
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ivan 2014-12-09 18:55:36 UTC
Created attachment 110638 [details]
incorrect file

hi2all

There is no visualization of 4 tables.

problems are present: LibreOffice 4.4.0 Beta 2

Sorry for my English.
Comment 1 Ivan 2014-12-09 18:57:33 UTC
Created attachment 110639 [details]
normal visualization

normal visualization from MO 2003
Comment 2 Ivan 2014-12-09 19:04:38 UTC
+ still mistake:
the text at the very bottom, has to be in the top
(Документ получен по системе «Клиент-Банк»       Электронная подпись верна)

Загружено два файла. Первый файл - исходный. Файл был сформирован программой банк-клиент. 
Ошибки в исходном файле:
1. В 4 таблицах должен быть текст, но его не видно.
2. Квадрат внизу, должен располагаться выше и намного правее.
3. Текст в нижней части, должен находиться вверху.

Второй файл - это полностью корректное отображение исходного rtf файла в MO 2003.

Заранее спасибо!
Comment 3 tommy27 2014-12-11 06:20:59 UTC
Created attachment 110714 [details]
screenshot

comparative screenshot between LibO and PDF
tested with LibO 4.3.4.1 under Win8.1 x64

I highlighted the difference of the LibO fileview.

I see 3 problems:

1 - blue arrows - text missing in tables (current bug report)

2 - red arrow - first line displayed at the bottom

3- green arrow - table on the bottom right displayed at bottom left

I'll open 2 separate bug reports for issue number 2 and 3
Comment 4 Ivan 2014-12-11 17:14:51 UTC
2tommy27

thank you!
Comment 5 tommy27 2015-06-16 21:05:50 UTC
(In reply to tommy27 from comment #3)
> Created attachment 110714 [details]
> screenshot
> 
> comparative screenshot between LibO and PDF
> tested with LibO 4.3.4.1 under Win8.1 x64
> 
> I highlighted the difference of the LibO fileview.
> 
> I see 3 problems:
> 
> 1 - blue arrows - text missing in tables (current bug report)

still present in LibO 4.4.3.2 and recent 5.1.0 alpha

> 2 - red arrow - first line displayed at the bottom
> 
> 3- green arrow - table on the bottom right displayed at bottom left
> 
> I'll open 2 separate bug reports for issue number 2 and 3

these are Bug 87218 and Bug 87219
Comment 6 tommy27 2015-07-19 05:45:35 UTC
probably this is a duplicate of Bug 75281 - FILEOPEN: table cell text missing in .DOC and .RTF
Comment 7 QA Administrators 2016-09-20 10:18:34 UTC Comment hidden (obsolete)
Comment 8 tommy27 2016-10-05 07:55:14 UTC
still present in 5.3.0.0.alpha0+
Build ID: 4c70a1a6666a079872b8f1966bd398e924dc1d1a
CPU Threads: 8; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-09-22_06:54:24
Locale: it-IT (it_IT); Calc: CL
Comment 9 Xisco Faulí 2016-10-08 15:29:06 UTC
I can already reproduce it in Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a). However, I can't reproduce it in Libreoffice 3.3, thus, this is a regression.
Comment 10 Aron Budea 2017-01-04 20:36:59 UTC
This deteriorates in multiple steps.
In 3.5.0.3 the rows with the missing text are flattened, but the text can still be found via search.
In 4.0.0.3 the text can't be found anymore at all.
Comment 11 tommy27 2018-01-09 05:25:18 UTC
still repro with  6.1.0.0.alpha0+
Build ID: acb43c0b8efbfb841e7b40603d75a8432eb21f21
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-01-08_23:05:27
Locale: it-IT (it_IT); Calc: group threaded
Comment 12 Buovjaga 2018-06-27 16:07:46 UTC
(In reply to Aron Budea from comment #10)
> This deteriorates in multiple steps.
> In 3.5.0.3 the rows with the missing text are flattened, but the text can
> still be found via search.
> In 4.0.0.3 the text can't be found anymore at all.

I checked this in Linux 43all and it seems to be in this range: https://cgit.freedesktop.org/libreoffice/core/log/?qt=range&q=a43a76cd5aa2f145f2cb43fcdbc8f21fb6c89af0...19f4ebd8a54da0ae03b9cc8481613e5cd20ee1e7&ofs=150

The only RTF commit is about tables, which is promising: https://cgit.freedesktop.org/libreoffice/core/commit/?id=c4b91ae3178011c66c76c711c1a6469ba658872e

Miklos is already in CC...
Comment 13 QA Administrators 2019-06-28 02:59:19 UTC
Dear Ivan,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug